import { SimpleLocalIntegration } from '../../core/index.js';
import { MopekaConfigFlow } from './mopeka.classes.configflow.js';
import { createMopekaDiscoveryDescriptor } from './mopeka.discovery.js';
import type { IMopekaConfig } from './mopeka.types.js';
import { mopekaDomain, mopekaProfile } from './mopeka.types.js';

export class MopekaIntegration extends SimpleLocalIntegration<IMopekaConfig> {
  public readonly domain = mopekaDomain;
  public readonly discoveryDescriptor = createMopekaDiscoveryDescriptor();
  public readonly configFlow = new MopekaConfigFlow();

  constructor() {
    super(mopekaProfile);
  }
}

export class HomeAssistantMopekaIntegration extends MopekaIntegration {}
